using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;

namespace baoge.Admin
{
	/// <summary>
	/// Admin_AddUser 的摘要说明。
	/// </summary>
	public class Admin_AddUser : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator1;
		protected System.Web.UI.WebControls.TextBox AdminName;
		protected System.Web.UI.WebControls.DropDownList Purview;
		protected System.Web.UI.WebControls.TextBox QQ;
		protected System.Web.UI.WebControls.TextBox MSN;
		protected System.Web.UI.WebControls.TextBox UserName;
		protected System.Web.UI.WebControls.TextBox Tel;
		protected System.Web.UI.WebControls.TextBox Address;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator2;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator3;
		protected System.Web.UI.WebControls.RadioButtonList Sex;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator4;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator5;
		protected System.Web.UI.WebControls.TextBox UPassword;
		protected System.Web.UI.WebControls.Button Submit;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面

			if(Session["AdminName"]==null)
			{
				Response.Redirect("Admin_Login.aspx");
				
			}

		}



		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Submit.Click += new System.EventHandler(this.Submit_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Submit_Click(object sender, System.EventArgs e)
		{
			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义数据库连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建连接对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr); 
			//数据库操作
			try
			{
				//打开数据库
				ACconn.Open();
				//判断添加频道是否已存在
				string ACsql1="select ID from Admin where AdminName='"+AdminName.Text+"'";
				OleDbCommand ACcomm1=new OleDbCommand(ACsql1,ACconn);
				OleDbDataReader ACdr1=ACcomm1.ExecuteReader();
				if(ACdr1.Read())
				{
					Response.Write("<script>alert('此用户已存在');</script>");
					Response.Write("<script>history.go(-1);</script>");

				}
				else
				{
					
					ACdr1.Close();
					//定义SQL语句
				
					string ACsql="insert into Admin (AdminName,[Password],UserName,Purview,QQ,MSN,SEX,Tel,Address) values ('"+AdminName.Text+"','"+UPassword.Text+"','"+UserName.Text+"','"+Purview.SelectedValue+"','"+QQ.Text+"','"+MSN.Text+"','"+Sex.SelectedValue+"','"+Tel.Text+"','"+Address.Text+"')";

					//创建Command对像
					OleDbCommand ACcomm=new OleDbCommand(ACsql,ACconn);
					//执行sql
					ACcomm.ExecuteNonQuery();
					Response.Write("<script>alert('用户成功添加');</script>");
					//Response.Write(ACsql);

				}

			}
			catch(Exception ex)
			{
				Response.Write(ex.ToString());
			}
			finally
			{
				//关闭数据库
				ACconn.Close();
			}
		}
	}
}
